> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Permanently Delete Filesystem Bin Batch



## OpenAPI

````yaml https://api.truestate.io/openapi.json delete /filesystem/bin/{batch_id}/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /filesystem/bin/{batch_id}/:
    delete:
      tags:
        - filesystem
      summary: Permanently Delete Filesystem Bin Batch
      operationId: >-
        permanently_delete_filesystem_bin_batch_filesystem_bin__batch_id___delete
      parameters:
        - name: batch_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Batch Id
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FilesystemBinPurgeConfirmRequest'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilesystemBinPurgeQueuedRead'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FilesystemBinPurgeConfirmRequest:
      properties:
        confirmation_fingerprint:
          type: string
          maxLength: 64
          minLength: 64
          title: Confirmation Fingerprint
        acknowledge_non_empty_folders:
          type: boolean
          title: Acknowledge Non Empty Folders
          default: false
      type: object
      required:
        - confirmation_fingerprint
      title: FilesystemBinPurgeConfirmRequest
    FilesystemBinPurgeQueuedRead:
      properties:
        status:
          type: string
          title: Status
        batch_ids:
          items:
            type: string
            format: uuid
          type: array
          title: Batch Ids
        batch_count:
          type: integer
          title: Batch Count
        entry_count:
          type: integer
          title: Entry Count
        asset_count:
          type: integer
          title: Asset Count
      type: object
      required:
        - status
        - batch_ids
        - batch_count
        - entry_count
        - asset_count
      title: FilesystemBinPurgeQueuedRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````